LPSACTIONRENAME(1)

NAME
lpsactionrename - rename actions of an LPS

SYNOPSIS
lpsactionrename [OPTION]... --renamefile=NAME [INFILE [OUTFILE]]

DESCRIPTION
Apply the action rename specification in FILE to the LPS in INFILE and save it to OUTFILE. If OUTFILE is not present, stdout is used. If INFILE is not present, stdin is used.

OPTIONS

OPTION can be any of the following:

-pPHASE, --end-phase=PHASE
    stop conversion and output the action rename specification after phase PHASE: 'pa' (parsing), 'tc' (type checking)

-o, --no-rewrite
    do not rewrite data expressions while renaming; use when the rewrite system does not terminate

-m, --no-sumelm
    do not apply sum elimination to the final result

-P, --pretty
    return a pretty printed version of the output

-QNUM, --qlimit=NUM
    limit enumeration of quantifiers to NUM variables. (Default NUM=1000, NUM=0 for unlimited).

-fNAME, --renamefile=NAME
    use the rename rules from NAME

-rNAME, --rewriter=NAME
    use rewrite strategy NAME: 'jitty' jitty rewriting (default) 'jittyc' compiled jitty rewriting 'jittyp' jitty rewriting with prover

--timings[=FILE]
    append timing measurements to FILE. Measurements are written to standard error if no FILE is provided

Standard options:

-q, --quiet
    do not display warning messages

-v, --verbose
    display short intermediate messages

-d, --debug
    display detailed intermediate messages

--log-level=LEVEL
    display intermediate messages up to and including level

-h, --help
    display help information

--version
    display version information

AUTHOR
Written by Jan Friso Groote and Tom Haenen.

REPORTING BUGS
Report bugs at <http://www.mcrl2.org/issuetracker>.

COPYRIGHT
Copyright © 2014 Technische Universiteit Eindhoven.
This is free software. You may redistribute copies of it under the terms of the Boost Software License <http://www.boost.org/LICENSE_1_0.txt>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
See also the manual at <http://www.mcrl2.org/release/user_manual/tools/lpsactionrename.html>.